public client_putinserver(id)
{
	set_task(10.0,"delay_is_connected", id)
}

public client_disconnect(id)
{
	is_connected[id] = false
}

public delay_is_connected(id)
{
	is_user_connected(id)
	{
		is_connected[id] = true
	}
}